Subject: [dnsop] Re: I-D ACTION:draft-ietf-dnsop-ipv6-dns-configuration-05.txt

From: Jaehoon Jeong <[email-masked]>
Date: Tue, 22 Feb 2005 04:06:14 CST

Pekka, first of all, thanks for your comments.

I would like to ask our ADs to let two new DNSSEC paragraphs be reviewed by
a DNSSEC expert.

For WLAN, is any explicit definition of WLAN as IEEE 802.11 a/b/g in the
text  needed?
I thought the references were enough since WLAN can have other kinds of
standards, such as IEEE 802.11 e in the future.

Since the WLAN issue is for ND itself, it seems to be difficult for our RA
option for RDNSS to handle this issue. This seems to need another work as a
separate document, such as IPv6-over-WLAN.

In Kessens' comment, "The RA option solution might not work very well on a
congested medium that uses reliable multicast for RA", unreliable multicast
seems to be correct instead of reliable multicast since WLAN's multicast is
unreliable in the direction from AP to STA.

I think this comment can be added in Appendix A of the text as follows:

   10.  Appendix A - Link-layer Multicast Acknowledgements with RA Option
   ...
   However, some link-layers may not support this as well as others.
   Consider, for example, WLAN networks where multicast is unreliable.
   ...
   For example, when a router is placed at wired network
   connected to an AP, a host may sometimes not receive RA message
   advertised through the AP. ***Therefore, the RA option solution for
   RDNSS might not work very well on a congested medium that uses
   unreliable multicast for RA.***

Thanks.

Paul

On 22 Feb 2005, Pekka Savola wrote:
> On Mon, 21 Feb 2005 [email-masked] wrote:
> > 	Title		: IPv6 Host Configuration of DNS Server Information Approaches
> > 	Author(s)	: J. Jeong
> > 	Filename	: draft-ietf-dnsop-ipv6-dns-configuration-05.txt
>
> I did a wdiff between -04 and -05 and the changes seem reasonable.
>
> However,
>   - A DNSSEC person should review the two last (new) paragraphs of
> Security Considerations.
>   - Comment 9 [see the URL below] from David Kessens (about the ND
> problem being more generic) may still require clarification.
>
>
http://www-users.cs.umn.edu/~jjeong/ietf/dnsop/ipv6-dns-configuration.html
>
>
> --
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> .
> dnsop resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html
>
.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html